Subject: Fixing timezone info in Debian

From: [email-masked] (David Sewell)
Date: Tue, 20 Aug 1996 21:26:17 -0700 (MST)

I've just set up Debian 1.1.5, and have run into one small
but annoying problem right away.  The only option the setup
gave me for time zone was US - Mountain.  Which I chose, with
the result that my system is now reporting Mountain Daylight
Time (with the correct GMT time, since I set it in hardware).

Problem is, most of Arizona doesn't observe Daylight time.
Good old Slackware used to let me select US/Arizona, which
got things right.

Is there a source that has a wider variety of timezone files than
come in the standard /usr/lib/zoneinfo?  Or am I expected to 
figure out zic(8) and roll my own???
-- 
David Sewell  *  [email-masked]   | "The sleeping are workmen
Dep't of Geosciences, Univ. of Arizona          |  (and fellow-workers) in
 WWW: http://packrat.aml.arizona.edu/~dsew/     |  what happens in the world."
                                                |              --Heraclitus

---

From: Klee Dienes <[email-masked]>
Date: Wed, 21 Aug 1996 09:27:11 -0700

> Good old Slackware used to let me select US/Arizona, which

You can get Arizona by using America/Phoenix (submenu 3 from
'tzconfig').  You should probably file two bug reports with the debian
bug tracking system (that Indiana and Arizona et al. aren't in the US
submenu, and that US cities are in the "America excluding US"
submenu).